Mailinglist Archive: opensuse-factory (443 mails)

< Previous Next >
[opensuse-factory] I need help with RPM macros
In the spec file for VirtualBox is the following code:

%patch128 -p1
%if 0%{?suse_version} > 1500 || (0%{?sle_version} >= 150100 && 0%{?is_opensuse})
# Tumbleweed, Leap 15.1 and above drm adjustments
%patch129 -p1
%else
%if (0%{?sle_version} == 150100)
# Patch only for SLE15.1
%patch133 -p1
%endif
%endif
# Qt5.13 adjustments
%if %{qt5ver} >= 51300
%patch131 -p1
%endif
%patch132 -p1

Patch #129 is needed for Leap 15.1, and patch #133 is needed for SLE15 and for SLE15_SP1. The log shows that Patch #128 is applied, followed by #132. My problem is that Patch #133 is not used.

Anyone know why?

Larry
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups